<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import AppPortalViewBase from './app-portal-view-base.vue';

import view_dashboard from '@widgets/app/app-portal-view-db-dashboard/app-portal-view-db-dashboard.vue';

/**
 * 应用门户视图
 *
 * @export
 * @class AppPortalView
 * @extends {AppPortalViewBase}
 */
@Component({
    components: {
        view_dashboard, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class AppPortalView extends AppPortalViewBase { }
</script>